Skip to content

Instantly share code, notes, and snippets.

kazoo0217 kazoo0217

Block or report user

Report or block kazoo0217

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
@kazoo0217
kazoo0217 / security
Created Sep 6, 2012
Ubuntu Server Apache Config Settings - security
View security
/etc/apache2/conf.d/security
#
# Disable access to the entire file system except for the directories that
# are explicitly allowed later.
#
# This currently breaks the configurations that come with some web application
# Debian packages.
#
#<Directory />
@kazoo0217
kazoo0217 / mime.conf
Created Sep 6, 2012
Ubuntu Server Apache Config Settings - mime.conf
View mime.conf
/etc/apache2/mods-availables/mime.conf
<IfModule mod_mime.c>
#
# TypesConfig points to the file containing the list of mappings from
# filename extension to MIME-type.
#
TypesConfig /etc/mime.types
@kazoo0217
kazoo0217 / default
Created Sep 6, 2012
Ubuntu Server Apache Config Settings - default
View default
/etc/apache2/sites-available/default
<VirtualHost *:80>
ServerAdmin webmaster@localhost
#DocumentRoot /var/www
DocumentRoot /home/USER/www
<Directory />
Options FollowSymLinks
AllowOverride None #when using .htassess is to comment.
View gist:7767219

##Lubuntu 13.04

  1. add a line

~/.config/lxsession/Lubuntu/autostart

@xcompmgr &
  1. edit a line
@kazoo0217
kazoo0217 / Gruntfile.js
Last active Dec 30, 2015
grunt livereload sass/compass and html
View Gruntfile.js
'use strict';
module.exports = function(grunt){
grunt.initConfig({
pkg: grunt.file.readJSON("package.json"),
watch:{
options: {
livereload: true
@kazoo0217
kazoo0217 / package.json
Last active Dec 30, 2015
grunt package file for livereload
View package.json
{
"name": "project-name",
"version": "0.1.0",
"devDependencies": {
"grunt": "~0.4.2",
"grunt-contrib-connect": "*",
"grunt-contrib-compass": "~0.7.0",
"grunt-contrib-watch": "*"
}
}
View brew install error
opensslのmakeでこけてる...
$ brew install wget
==> Installing wget dependency: openssl
==> Downloading http://www.openssl.org/source/openssl-1.0.1f.tar.gz
######################################################################## 100.0%
==> perl ./Configure --prefix=/usr/local/Cellar/openssl/1.0.1f --openssldir=/usr/local/etc/openssl zlib-dynamic shared darwin-i386-cc
==> make
View brew doctor error
error
$ brew doctor
Warning: An outdated version of Git was detected in your PATH.
Git 1.7.10 or newer is required to perform checkouts over HTTPS from GitHub.
Please upgrade: brew upgrade git
Warning: Unbrewed dylibs were found in /usr/local/lib.
If you didn't put them there on purpose they could cause problems when
building Homebrew formulae, and may need to be deleted.
@kazoo0217
kazoo0217 / .vimrc
Last active Aug 29, 2015
minimum .vimrc example
View .vimrc
" minimum .vimrc example
set nocompatible
filetype off
set rtp+=~/vimfiles/bundle/plugin1.vim
set rtp+=~/vimfiles/bundle/plugin2
filetype plugin indent on
syntax enable
View convert.sh
#!/bin/bash
for F in *.JPG
do
convert -resize 100x $F ${F/.JPG/.png}
done
You can’t perform that action at this time.